Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.security
Class PebbleUserDetails

    java.lang.Object
      net.sourceforge.pebble.security.PebbleUserDetails

    public class PebbleUserDetails

extends java.lang.Object

Extension of the Acegi User class that adds additional information such as the user's e-mail address.

Author:
  Simon Brown

Constructor Summary
`PebbleUserDetails()`
`PebbleUserDetails(java.lang.String username, java.lang.String name, java.lang.String emailAddress, java.lang.String website, java.lang.String profile, java.lang.String[] roles, java.util.Map<java.lang.String,java.lang.String> preferences, boolean detailsUpdateable)`
`PebbleUserDetails(java.lang.String username, java.lang.String password, java.lang.String name, java.lang.String emailAddress, java.lang.String website, java.lang.String profile, java.lang.String[] roles, java.util.Map<java.lang.String,java.lang.String> preferences, boolean detailsUpdateable)`

Method Summary
`GrantedAuthority[]` | `getAuthorities()`
`java.lang.String` | `getEmailAddress()` Gets the e-mail address.
`java.lang.String` | `getName()` Gets the name.
`java.lang.String` | `getPassword()`
`java.lang.String` | `getPreference(java.lang.String key)`
`java.util.Map<java.lang.String,java.lang.String>` | `getPreferences()`
`java.lang.String` | `getProfile()` Gets the user's profile.
`java.lang.String[]` | `getRoles()`
`java.lang.String` | `getRolesAsString()`
`java.lang.String` | `getUsername()`
`java.lang.String` | `getWebsite()` Gets the website.
`boolean` | `isAccountNonExpired()`
`boolean` | `isAccountNonLocked()`
`boolean` | `isBlogAdmin()`
`boolean` | `isBlogContributor()`
`boolean` | `isBlogOwner()`
`boolean` | `isBlogPublisher()`
`boolean` | `isCredentialsNonExpired()`
`boolean` | `isDetailsUpdateable()`
`boolean` | `isEnabled()`
`boolean` | `isUserInRole(java.lang.String role)`
`void` | `setDetailsUpdateable(boolean detailsUpdateable)`
`void` | `setEmailAddress(java.lang.String emailAddress)`
`void` | `setGrantedAuthories(GrantedAuthority[] grantedAuthories)`
`void` | `setName(java.lang.String name)`
`void` | `setPassword(java.lang.String password)`
`void` | `setPreferences(java.util.Map<java.lang.String,java.lang.String> preferences)`
`void` | `setProfile(java.lang.String profile)`
`void` | `setUsername(java.lang.String username)`
`void` | `setWebsite(java.lang.String website)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PebbleUserDetails

    public PebbleUserDetails()

### PebbleUserDetails

    public PebbleUserDetails(java.lang.String username,
                             java.lang.String name,
                             java.lang.String emailAddress,
                             java.lang.String website,
                             java.lang.String profile,
                             java.lang.String[] roles,
                             java.util.Map<java.lang.String,java.lang.String> preferences,
                             boolean detailsUpdateable)

### PebbleUserDetails

    public PebbleUserDetails(java.lang.String username,
                             java.lang.String password,
                             java.lang.String name,
                             java.lang.String emailAddress,
                             java.lang.String website,
                             java.lang.String profile,
                             java.lang.String[] roles,
                             java.util.Map<java.lang.String,java.lang.String> preferences,
                             boolean detailsUpdateable)

Method Detail

### getUsername

    public java.lang.String getUsername()

### getPassword

    public java.lang.String getPassword()

### isAccountNonExpired

    public boolean isAccountNonExpired()

### isAccountNonLocked

    public boolean isAccountNonLocked()

### isCredentialsNonExpired

    public boolean isCredentialsNonExpired()

### isEnabled

    public boolean isEnabled()

### getName

    public java.lang.String getName()

  Gets the name.

  Returns:
    a String

### getEmailAddress

    public java.lang.String getEmailAddress()

  Gets the e-mail address.

  Returns:
    a String

### getWebsite

    public java.lang.String getWebsite()

  Gets the website.

  Returns:
    a String

### getProfile

    public java.lang.String getProfile()

  Gets the user's profile.

  Returns:
    a String

### getAuthorities

    public GrantedAuthority[] getAuthorities()

### getRoles

    public java.lang.String[] getRoles()

### getRolesAsString

    public java.lang.String getRolesAsString()

### isUserInRole

    public boolean isUserInRole(java.lang.String role)

### isBlogAdmin

    public boolean isBlogAdmin()

### isBlogOwner

    public boolean isBlogOwner()

### isBlogPublisher

    public boolean isBlogPublisher()

### isBlogContributor

    public boolean isBlogContributor()

### setUsername

    public void setUsername(java.lang.String username)

### setPassword

    public void setPassword(java.lang.String password)

### setName

    public void setName(java.lang.String name)

### setEmailAddress

    public void setEmailAddress(java.lang.String emailAddress)

### setWebsite

    public void setWebsite(java.lang.String website)

### setProfile

    public void setProfile(java.lang.String profile)

### setGrantedAuthories

    public void setGrantedAuthories(GrantedAuthority[] grantedAuthories)

### isDetailsUpdateable

    public boolean isDetailsUpdateable()

### setDetailsUpdateable

    public void setDetailsUpdateable(boolean detailsUpdateable)

### getPreferences

    public java.util.Map<java.lang.String,java.lang.String> getPreferences()

### getPreference

    public java.lang.String getPreference(java.lang.String key)

### setPreferences

    public void setPreferences(java.util.Map<java.lang.String,java.lang.String> preferences)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.